%global srcname pytest-cov

Name:           python3-%{srcname}
Version:        2.5.1
Release:        2%{?dist}
Summary:        Pytest plugin for coverage reporting

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/pytest-dev/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing for Python.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Pytest plugin for coverage reporting
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-coverage >= 3.7.1
# For tests
#  Not packaged
#  BuildRequires:  python%{python3_pkgversion}-fields
BuildRequires:  python%{python3_pkgversion}-process-tests
BuildRequires:  python%{python3_pkgversion}-six
BuildRequires:  python%{python3_pkgversion}-virtualenv
Requires:       python%{python3_pkgversion}-pytest
Requires:       python%{python3_pkgversion}-coverage >= 3.7.1
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing for Python 3.


%if 0%{?python3_other_pkgversion}
%package -n python%{python3_other_pkgversion}-%{srcname}
Summary:        Pytest plugin for coverage reporting
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
BuildRequires:  python%{python3_other_pkgversion}-pytest
BuildRequires:  python%{python3_other_pkgversion}-coverage >= 3.7.1
# For tests
#  Not packaged
#  BuildRequires:  python%{python3_other_pkgversion}-fields
BuildRequires:  python%{python3_other_pkgversion}-process-tests
BuildRequires:  python%{python3_other_pkgversion}-six
BuildRequires:  python%{python3_other_pkgversion}-virtualenv
Requires:       python%{python3_other_pkgversion}-pytest
Requires:       python%{python3_other_pkgversion}-coverage >= 3.7.1
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{srcname}}

%description -n python%{python3_other_pkgversion}-%{srcname}
Py.test plugin for coverage reporting with support for both centralised and
distributed testing, including subprocesses and multiprocessing for Python 3.
%endif # python3_other_pkgversion


%prep
%setup -q -n %{srcname}-%{version}
rm -rf *.egg-info


%build
%py3_build
%{?python3_other_pkgversion: %py3_other_build}


%install
%py3_install
%{?python3_other_pkgversion: %py3_other_install}


%check
export LANG=en_US.UTF-8

# Tests fail https://github.com/pytest-dev/pytest-cov/issues/90
PYTHONPATH=%{buildroot}%{python3_sitelib}:$PWD/tests py.test-%{python3_version} -vv || :

%if 0%{?python3_other_pkgversion}
PYTHONPATH=%{buildroot}%{python3_other_sitelib}:$PWD/tests py.test-%{python3_other_version} -vv || :
%endif # python3_other_pkgversion


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst README.rst
%{python3_sitelib}/*


%if 0%{?python3_other_pkgversion}
%files -n python%{python3_other_pkgversion}-%{srcname}
%license LICENSE
%doc AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst README.rst
%{python3_other_sitelib}/*
%endif # python3_other_pkgversion


%changelog
* Thu Feb 14 2019 Scott K Logan <logans@cottsay.net> - 2.5.1-2
- Add Python 3.6 subpackage for EPEL 7
- Set LANG in tests to handle unicode documentation files

* Wed Aug 9 2017 Orion Poplawski <orion@cora.nwra.com> - 2.5.1-1
- Initial EPEL only package
